% kastapi.m  beraknar pi med hjalp av slumpmassiga pil kast.

clear all % rensar alla variablerna.
close all % stanger alla figurer.

antal_kast=1000; % testa hur denna variabel paverkar resultatet.
antal_traffar=0;

for j=1:antal_kast
    
    v=2*(rand(1,2)-1/2); % skapar tva slumptal mellan -1 och 1. Se help rand.
    x=v(1); y=v(2);
    
    if x^2+y^2 <= 1 % villkor for traff.
        antal_traffar = antal_traffar + 1 ;
        plot(x,y,'g.')  % for att fa ett snabbare program kommentera bort plot satserna.  
    else
        plot(x,y,'r.')
    end
    hold on
end

t=linspace(0,2*pi,1000);
plot(cos(t),sin(t),'linewidth',3) % fyller i tavlans kant.
axis equal % visar en rund tavla pa skarmen.
xlabel('x','fontsize',15); ylabel('y','fontsize',15);

disp('Genom att kasta pil har vi berknat fljande vrde p pi:') % se help disp.
4*antal_traffar/antal_kast % Forutsatter att: antalet kast = antalet kast som traffar kvadraten.

disp('Konstanten pi som finns lagrad i matlab har vrdet:')
pi
    
    